Permission (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.auth

## Enum Permission

- java.lang.Object
- - java.lang.Enum<Permission>
  - - org.apache.cassandra.auth.Permission

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Permission>

      public enum Permission
      extends java.lang.Enum<Permission>

  An enum encapsulating the set of possible permissions that an authenticated user can have on a resource. IAuthorizer implementations may encode permissions using ordinals, so the Enum order must never change order. Adding new values is ok.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALTER`
    `AUTHORIZE`
    `CREATE`
    `DESCRIBE`
    `DROP`
    `EXECUTE`
    `MODIFY`
    `READ` Deprecated.
    `SELECT`
    `WRITE` Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set<Permission>` | `ALL`
    `static java.util.Set<Permission>` | `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Permission` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Permission[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          @Deprecated
          public static final Permission READ

      Deprecated.

    - #### WRITE

          @Deprecated
          public static final Permission WRITE

      Deprecated.

    - #### CREATE

          public static final Permission CREATE

    - #### ALTER

          public static final Permission ALTER

    - #### DROP

          public static final Permission DROP

    - #### SELECT

          public static final Permission SELECT

    - #### MODIFY

          public static final Permission MODIFY

    - #### AUTHORIZE

          public static final Permission AUTHORIZE

    - #### DESCRIBE

          public static final Permission DESCRIBE

    - #### EXECUTE

          public static final Permission EXECUTE

  - ### Field Detail

    - #### ALL

          public static final java.util.Set<Permission> ALL

    - #### NONE

          public static final java.util.Set<Permission> NONE

  - ### Method Detail

    - #### values

          public static Permission[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Permission c : Permission.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Permission valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation